package tda548;

import java.awt.*;
import javax.swing.*;

public class FuncPanel extends JPanel {

    private MathFunc f;
    private final double ZOOM = 30;

    public FuncPanel(MathFunc f1) {
        super(); f = f1;
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(Color.WHITE);
        g.fillRect(0,0,getWidth(),getHeight());
        g.setColor(Color.BLACK);
        g.drawLine(0,getHeight()/2,getWidth(),getHeight()/2);
        g.drawLine(getWidth()/2,0,getWidth()/2,getHeight());
        g.setColor(Color.RED);
        for (int x = -getWidth(); x < getWidth(); x++) {
            int y = (int) (f.f(x / ZOOM) * ZOOM);
            g.drawOval(x+getWidth()/2,-y + getHeight()/2,2,2);
        }
    }

}
